/*
 * File:   led.c
 * Author: Ana Paula Messina - TecDicas
 *
 * Created on 2 de Novembro de 2017, 20:05
 */

#define _XTAL_FREQ 20000000 // 20 MHz

#include <xc.h>

// Padro de configuraes
#pragma config FOSC = HS // Oscillator Selection bits (HS oscillator)
#pragma config WDTE = ON // Watchdog Timer Enable bit (WDT enabled)
#pragma config PWRTE = OFF // Power-up Timer Enable bit (PWRT disabled)
#pragma config BOREN = ON // Brown-out Reset Enable bit (BOR enabled)
#pragma config LVP = OFF // Low-Voltage (Single-Supply) In-Circuit Serial Programming Enable bit (RB3 is digital I/O, HV on MCLR must be used for programming)
#pragma config CPD = OFF // Data EEPROM Memory Code Protection bit (Data EEPROM code protection off)
#pragma config WRT = OFF // Flash Program Memory Write Enable bits (Write protection off; all program memory may be written to by EECON control)
#pragma config CP = OFF // Flash Program Memory Code Protection bit (Code protection off)

int main()
{
  TRISD = (0 << TRISD2); //RD2 (Pino 21) definido como OUTPUT
  while(1)
  {
    RD2 = 1;  
    __delay_ms(100); 
    RD2 = 0; 
    __delay_ms(100);
  }
  return 0;
}
